Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.support
Class AbstractJmxSupport

    java.lang.Object
      org.mule.module.management.support.AbstractJmxSupport

All Implemented Interfaces:
  JmxSupport

Direct Known Subclasses:
  JmxLegacySupport, JmxModernSupport

    public abstract class AbstractJmxSupport

extends Object
implements JmxSupport

Field Summary

Fields inherited from interface org.mule.module.management.support.JmxSupport
`DEFAULT_JMX_DOMAIN_PREFIX`

Constructor Summary
`AbstractJmxSupport()`

Method Summary
`String` | `getDomainName(MuleContext context)` Calculates the domain name for the current Mule instance.
`String` | `getDomainName(MuleContext context, boolean resolveClash)`
`protected abstract Collection` | `getDomains(MBeanServer server)` List all domains of this MBean server.
`protected String` | `resolveDomainClash(String domain)` Resolve JMX domain clash by adding an incremented number suffix to the name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.module.management.support.JmxSupport
`escape, getObjectName`

Constructor Detail

### AbstractJmxSupport

    public AbstractJmxSupport()

Method Detail

### resolveDomainClash

    protected String resolveDomainClash(String domain)

  Resolve JMX domain clash by adding an incremented number suffix to the name. E.g. if 'Mule.TradeProcessor' is already registered with the accessible MBeanServer, will return 'Mule.TradeProcessor.1'. If the latter one is already registered, will return 'Mule.TradeProcessor.2' and so on.

  If no clash detected, returns the domain name unmodified.

  Parameters:
    `domain` - domain name causing a conflict
  Returns:
    resolved non-conflicting domain name

### getDomains

    protected abstract Collection getDomains(MBeanServer server)

  List all domains of this MBean server.

  Parameters:
    `server` - server to contact
  Returns:
    a collection of unique JMX domains

### getDomainName

    public String getDomainName(MuleContext context)

  Calculates the domain name for the current Mule instance. The rules are:
  - Default Mule domain
  - If this server's instance ID is available, append "." (dot) and the ID
  - If no instance ID is available, don't append anything
  Domain clash is resolved by appending a counter at the end.

  Specified by:
    `getDomainName` in interface `JmxSupport`
  Returns:
    JMX domain name

### getDomainName

    public String getDomainName(MuleContext context,
                                boolean resolveClash)

  Specified by:
    `getDomainName` in interface `JmxSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.